<?

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$zn=mysql_fetch_array(mysql_query("select * from `znachki` where `id`='".intval($_GET['znachki'])."';"));
$set['title']='Покупка Значка';



include_once '../sys/inc/thead.php';

title();

err();

aut();

if (isset($user) & $user['dopusk_snachki']==1)
{
Echo "Наша добрая Администация, запретила тебе покупать значки";
}
else
if (isset($user) & $user['balls']<=250)
{
Echo "У вас не хватает балов,нужно 250 балов";
}
else
{
$ZNA=intval($_GET['znac']);
$znac=mysql_fetch_array(mysql_query("select * from `znachki` where `id`='$ZNA' Limit 1"));
$q=mysql_query("SELECT `id` FROM `user` WHERE `id` != $user[id]");

while ($us = mysql_fetch_array($q)){


$msgrat1="Пользователь с ником [url=info.php?id=$user[id]]$user[nick][/url] приобрел себе значок";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$us[id]', '$msgrat1', '$time')"); 
}
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-250)."' WHERE `id` ='$user[id]';");
echo "Вы успешно приобрели Значок!";
mysql_query("INSERT INTO `user_znachki` (`user_id`, `url`, `id_znac` ) VALUES  ('$user[id]', '$znac[url]', '$znac[id]' ) ");


}
include_once '../sys/inc/tfoot.php';

?>

